package com.goafanti.businessCard.service;

import com.goafanti.common.model.AdminBusinessCard;

/**
 * 用户名片表(AdminBusinessCard)表服务接口
 *
 * @author makejava
 * @since 2025-06-27 15:10:05
 */
public interface AdminBusinessCardService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AdminBusinessCard queryById(Integer id);


    /**
     * 新增数据
     *
     * @param adminBusinessCard 实例对象
     * @return 实例对象
     */
    AdminBusinessCard insert(AdminBusinessCard adminBusinessCard);

    /**
     * 修改数据
     *
     * @param adminBusinessCard 实例对象
     * @return 实例对象
     */
    AdminBusinessCard update(AdminBusinessCard adminBusinessCard);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 列表数据
     *
     * @param in 参数
     * @return 是否成功
     */
    Object list(AdminBusinessCard in, Integer pageNo, Integer pageSize);

}
